### This file is automatically generated by update-modules
#
# Please do not edit this file directly. If you want to change or add
# anything please take a look at the files in /etc/modutils and read
# the manpage for update-modules.
#
### update-modules: start processing /etc/modutils/0keep
# DO NOT MODIFY THIS FILE!
# This file is not marked as conffile to make sure if you upgrade modutils
# it will be restored in case some modifications have been made.
#
# The keep command is necessary to prevent insmod and friends from ignoring
# the builtin defaults of a path-statement is encountered. Until all other
# packages use the new `add path'-statement this keep-statement is essential
# to keep your system working
keep

### update-modules: end processing /etc/modutils/0keep

### update-modules: start processing /etc/modutils/actions
# Special actions that are needed for some modules

# The BTTV module, up to kernel 2.4.17, does not load the tuner 
# module automatically, so do that in here
if KERNEL_VER < 2.4.17
 	post-install bttv insmod tuner
 	post-remove bttv rmmod tuner
endif


### update-modules: end processing /etc/modutils/actions

### update-modules: start processing /etc/modutils/aliases
# Aliases to tell insmod/modprobe which modules to use

# Uncomment the network protocols you don't want loaded:
# alias net-pf-1 off		# Unix
# alias net-pf-2 off		# IPv4
# alias net-pf-3 off		# Amateur Radio AX.25
# alias net-pf-4 off		# IPX
# alias net-pf-5 off		# DDP / appletalk
# alias net-pf-6 off		# Amateur Radio NET/ROM
# alias net-pf-9 off		# X.25
# alias net-pf-10 off		# IPv6
# alias net-pf-11 off		# ROSE / Amateur Radio X.25 PLP
# alias net-pf-19 off		# Acorn Econet
# alias net-pf-20 off		# ATM
# alias net-pf-23 off		# IRDA
# alias net-pf-24 off		# PPPoE
# alias net-pf-25 off		# WANrouter
# alias net-pf-26 off		# Llc
# alias net-pf-31 off		# Bluetooth

alias binfmt-204	binfmt_aout
alias binfmt-263	binfmt_aout
alias binfmt-264	binfmt_aout
alias binfmt-267	binfmt_aout
alias binfmt-387	binfmt_aout

alias bt-proto-0	l2cap
alias bt-proto-2	sco
alias bt-proto-3	rfcomm
alias bt-proto-4	bnep
alias bt-proto-5	cmtp
alias bt-proto-6	hidp
alias bt-proto-7	avdtp

alias char-major-9	st
alias char-major-10-1	psmouse
alias char-major-10-134	apm
alias char-major-10-135	rtc
alias char-major-10-139	openprom
alias char-major-10-144	nvram
alias char-major-10-157	applicom
alias char-major-10-175	agpgart
alias char-major-10-181	toshiba
alias char-major-10-183	hw_random
alias char-major-10-184	microcode
alias char-major-10-187	irnet
alias char-major-10-189	ussp
alias char-major-10-200	tun
alias char-major-10-250	hci_vhci
alias char-major-13 	input
alias char-major-13-0 	joydev
alias char-major-13-1 	joydev
alias char-major-13-2 	joydev
alias char-major-13-3	joydev
alias char-major-13-32	mousedev
alias char-major-13-33	mousedev
alias char-major-13-34	mousedev
alias char-major-13-35	mousedev
alias char-major-13-63	mousedev
alias char-major-13-64	evdev
alias char-major-13-65	evdev
alias char-major-13-66	evdev
alias char-major-13-67	evdev
alias char-major-19	cyclades
alias char-major-20	cyclades
alias char-major-21	sg
alias char-major-22	pcxx
alias char-major-23	pcxx
alias char-major-27	ftape
alias char-major-27	zftape
alias char-major-34	scc
alias char-major-35	tclmidi
alias char-major-37	ide-tape
alias char-major-48	riscom8
alias char-major-49	riscom8
alias char-major-57	esp
alias char-major-58	esp
alias char-major-63	kdebug
alias char-major-67	coda
alias char-major-75	specialix
alias char-major-76	specialix
alias char-major-81	bttv
alias char-major-81	videodev
alias char-major-83	vtx
alias char-major-89	i2c-dev
alias char-major-90	mtdchar
alias char-major-96	pt
alias char-major-97	pg
alias char-major-99	ppdev
alias char-major-107	3dfx
alias char-major-109	lvm-mod
alias char-major-108	ppp_generic
alias char-major-116	snd
alias char-major-161	ircomm-tty
alias char-major-162	raw
alias char-major-166	cdc_acm
alias char-major-171	raw1394
alias char-major-180-48	scanner
alias char-major-180	usbcore
alias char-major-195	nvidia
alias char-major-200	vxspec
alias char-major-202	msr
alias char-major-203	cpuid
alias char-major-206	osst
alias char-major-208	ussp
alias char-major-227	tub3270
alias /dev/ppp		ppp_generic
alias tty-ldisc-3	ppp_async
alias tty-ldisc-14	ppp_synctty
alias ppp-compress-18	ppp_mppe
alias ppp-compress-21	bsd_comp
alias ppp-compress-24	ppp_deflate
alias ppp-compress-26	ppp_deflate

alias dummy0		dummy
alias dummy1		dummy
alias gre0		ip_gre
alias iso9660		isofs
alias plip0		plip
alias plip1		plip
alias slip0		slip
alias slip1		slip
alias tunl0		ipip
alias usbdevfs		usbcore
alias cipcb0		cipcb
alias cipcb1		cipcb
alias cipcb2		cipcb
alias cipcb3		cipcb

# IPSEC
alias xfrm-type-2-50	esp4
alias xfrm-type-2-51	ah4
alias xfrm-type-2-108	ipcomp
alias xfrm-type-10-50	esp6
alias xfrm-type-10-51	ah6
alias xfrm-type-10-108	ipcomp6


# Crypto modules (see http://www.kerneli.org/)
alias loop-xfer-gen-0	loop_gen
alias loop-xfer-3	loop_fish2
alias loop-xfer-gen-10	loop_gen
alias cipher-2		des
alias cipher-3		fish2
alias cipher-4		blowfish
alias cipher-6		idea
alias cipher-7		serp6f
alias cipher-8		mars6
alias cipher-11		rc62
alias cipher-15		dfc2
alias cipher-16		rijndael
alias cipher-17		rc5

# IDE modules changed names in 2.4.22
if KERNEL_VER >= 2.4.22
   alias ide-mod ide-core
   alias ide-probe-mod ide-detect
endif


### update-modules: end processing /etc/modutils/aliases

### update-modules: start processing /etc/modutils/paths
# This file contains a list of paths that modprobe should scan,
# beside the ones that are compiled into the modutils tools
# themselves.


### update-modules: end processing /etc/modutils/paths

